Bug 68229 - Mouse scroll wheel sometimes scrolls unexpected pane in Impress
Summary: Mouse scroll wheel sometimes scrolls unexpected pane in Impress
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-17 17:28 UTC by Christophe Strobbe
Modified: 2015-05-06 14:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Strobbe 2013-08-17 17:28:04 UTC
The mouse scroll wheel does not always scroll the expected pane or screen part in Impress. I tested this in LibreOffice 4.1.0.4 on Windows 7 (and LibreOffice 3.6.3.2 on Fedora 18 with GNOME 3.6).

Before reproducing the issue, do the following in Impress: make sure that the Task Pane is open, make it narrow and open the Layouts pane, which should now have a scroll bar. Then open a presentation with at least half a dozen slides (or more if you have a very large screen). 
You can then observe the following behaviours with the mouse scroll wheel:
1. If you position the mouse over the thumbnail images on the left (i.e. the Slide Pane) and scroll, the thumbnail images scroll. This is correct.
2. If you position the mouse over the Slide Pane's scroll bar and scroll, the layouts in the Task Pane will scroll. This is not what you would expect. 
2.a. If you first click on a thumbnail in the Slides Pane and then hover over the scroll bar, the mouse wheel will make the Slides Pane scroll. If you then hover over the editing area's scroll bar, the mouse wheel will make the Slides Pane scroll. 
3. If you position the mouse over the editing area and scroll, the slide scrolls - as you would expect.
4. If you position the mouse over the editing area's scroll bar and scroll, the Layouts in the Task Pane will scroll. This is not what you woud expect.

Once the sidebar is finished (and no longer experimental), this test can be repeated with the sidebar instead of the Task Pane. 

(Example of a long presentation that you can use for the test: http://www.saigontech.edu.vn/faculty/DanTT/resources/open_office_impress_a_successful_presentation.odp.)

The corresponding issue for Apache OpenOffice is at https://issues.apache.org/ooo/show_bug.cgi?id=47331.
Comment 1 A (Andy) 2013-12-29 12:12:17 UTC
not reproducible with LO 4.1.4.2 (Win8)

Can anybody else confirm this issue?
Comment 2 tommy27 2014-08-31 18:38:09 UTC
@Christophe Strobbe

are you still seeing this bug under recent stable LibO 4.2.6.2 release?
if issue is gone please set status to RESOLVED WORKSFORME
if issue persists revert status to UNCONFIRMED
Comment 3 QA Administrators 2015-04-01 14:47:41 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 4 QA Administrators 2015-05-06 14:22:06 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team